Package org.eclipse.jdt.core.util

# Interface IConstantPool

public interface IConstantPool
Description of a constant pool as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`IConstantPoolEntry`
`decodeEntry(int index)`
Answer back the entry at the given index in the constant pool.
`int`
`getConstantPoolCount()`
Answer back the number of entries in the constant pool.
`int`
`getEntryKind(int index)`
Answer back the type of the entry at the given index in the constant pool.

## Method Details

### getConstantPoolCount

int getConstantPoolCount()
Answer back the number of entries in the constant pool.

Returns:
  the number of entries in the constant pool

### getEntryKind

int getEntryKind(int index)
Answer back the type of the entry at the given index in the constant pool.

Parameters:
  `index` - the index of the entry in the constant pool
Returns:
  the type of the entry at the index @index in the constant pool

### decodeEntry

IConstantPoolEntry decodeEntry(int index)
Answer back the entry at the given index in the constant pool.

The return value can be an instance of `IConstantPoolEntry2` if the value returned by `getEntryKind(int)` is either `IConstantPoolConstant.CONSTANT_MethodHandle`, `IConstantPoolConstant.CONSTANT_MethodType`, `IConstantPoolConstant.CONSTANT_InvokeDynamic`, `IConstantPoolConstant.CONSTANT_Dynamic`.

The return value can be an instance of `IConstantPoolEntry3` if the value returned by `getEntryKind(int)` is either `IConstantPoolConstant.CONSTANT_Module` or `IConstantPoolConstant.CONSTANT_Package`.

Parameters:
  `index` - the index of the entry in the constant pool
Returns:
  the entry at the given index in the constant pool